org.eclnt.jsfserver.elements.componentnodes

## Class TRIPLEPANENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.TRIPLEPANENode

- All Implemented Interfaces:
    java.io.Serializable

      public class TRIPLEPANENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TRIPLEPANENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TRIPLEPANENode` | `bindActionListener(IActionListenerDelegation value)`
    `TRIPLEPANENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindBackground(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindColspan(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindComment(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindDragsend(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindDropshape(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindEnabled(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindFlush(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindHeight(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindRendered(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindShadow(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindValue(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindWidth(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindX(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `bindY(IDynamicContentBindingObject value)`
    `TRIPLEPANENode` | `setActionListener(java.lang.String value)`
    `TRIPLEPANENode` | `setAdapterbinding(java.lang.String value)`
    `TRIPLEPANENode` | `setAnimatechangeofsize(boolean value)`
    `TRIPLEPANENode` | `setAnimatechangeofsize(java.lang.String value)`
    `TRIPLEPANENode` | `setAttributemacro(java.lang.String value)`
    `TRIPLEPANENode` | `setBackground(java.lang.String value)`
    `TRIPLEPANENode` | `setColspan(int value)`
    `TRIPLEPANENode` | `setColspan(java.lang.String value)`
    `TRIPLEPANENode` | `setComment(java.lang.String value)`
    `TRIPLEPANENode` | `setConfiginfo(java.lang.String value)`
    `TRIPLEPANENode` | `setDragroundtrip(boolean value)`
    `TRIPLEPANENode` | `setDragroundtrip(java.lang.String value)`
    `TRIPLEPANENode` | `setDragsend(java.lang.String value)`
    `TRIPLEPANENode` | `setDroprastertext(java.lang.String value)`
    `TRIPLEPANENode` | `setDropreceive(java.lang.String value)`
    `TRIPLEPANENode` | `setDropshape(java.lang.String value)`
    `TRIPLEPANENode` | `setEnabled(boolean value)`
    `TRIPLEPANENode` | `setEnabled(java.lang.String value)`
    `TRIPLEPANENode` | `setFlush(boolean value)`
    `TRIPLEPANENode` | `setFlush(java.lang.String value)`
    `TRIPLEPANENode` | `setHeight(int value)`
    `TRIPLEPANENode` | `setHeight(java.lang.String value)`
    `TRIPLEPANENode` | `setId(java.lang.String value)`
    `TRIPLEPANENode` | `setPopupmenu(java.lang.String value)`
    `TRIPLEPANENode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `TRIPLEPANENode` | `setReference(java.lang.String value)`
    `TRIPLEPANENode` | `setRendered(boolean value)`
    `TRIPLEPANENode` | `setRendered(java.lang.String value)`
    `TRIPLEPANENode` | `setRowalignmenty(java.lang.String value)`
    `TRIPLEPANENode` | `setShadow(java.lang.String value)`
    `TRIPLEPANENode` | `setStylevariant(java.lang.String value)`
    `TRIPLEPANENode` | `setValue(java.lang.String value)`
    `TRIPLEPANENode` | `setWidth(int value)`
    `TRIPLEPANENode` | `setWidth(java.lang.String value)`
    `TRIPLEPANENode` | `setX(int value)`
    `TRIPLEPANENode` | `setX(java.lang.String value)`
    `TRIPLEPANENode` | `setY(int value)`
    `TRIPLEPANENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TRIPLEPANENode

          public TRIPLEPANENode()

  - ### Method Detail

    - #### setId

          public TRIPLEPANENode setId(java.lang.String value)

    - #### setActionListener

          public TRIPLEPANENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public TRIPLEPANENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public TRIPLEPANENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public TRIPLEPANENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public TRIPLEPANENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public TRIPLEPANENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public TRIPLEPANENode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public TRIPLEPANENode setAttributemacro(java.lang.String value)

    - #### setBackground

          public TRIPLEPANENode setBackground(java.lang.String value)

    - #### bindBackground

          public TRIPLEPANENode bindBackground(IDynamicContentBindingObject value)

    - #### setColspan

          public TRIPLEPANENode setColspan(java.lang.String value)

    - #### bindColspan

          public TRIPLEPANENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public TRIPLEPANENode setColspan(int value)

    - #### setComment

          public TRIPLEPANENode setComment(java.lang.String value)

    - #### bindComment

          public TRIPLEPANENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public TRIPLEPANENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public TRIPLEPANENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public TRIPLEPANENode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public TRIPLEPANENode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public TRIPLEPANENode setDragroundtrip(boolean value)

    - #### setDragsend

          public TRIPLEPANENode setDragsend(java.lang.String value)

    - #### bindDragsend

          public TRIPLEPANENode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public TRIPLEPANENode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public TRIPLEPANENode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public TRIPLEPANENode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public TRIPLEPANENode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public TRIPLEPANENode setDropshape(java.lang.String value)

    - #### bindDropshape

          public TRIPLEPANENode bindDropshape(IDynamicContentBindingObject value)

    - #### setEnabled

          public TRIPLEPANENode setEnabled(java.lang.String value)

    - #### bindEnabled

          public TRIPLEPANENode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public TRIPLEPANENode setEnabled(boolean value)

    - #### setFlush

          public TRIPLEPANENode setFlush(java.lang.String value)

    - #### bindFlush

          public TRIPLEPANENode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public TRIPLEPANENode setFlush(boolean value)

    - #### setHeight

          public TRIPLEPANENode setHeight(java.lang.String value)

    - #### bindHeight

          public TRIPLEPANENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public TRIPLEPANENode setHeight(int value)

    - #### setPopupmenu

          public TRIPLEPANENode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public TRIPLEPANENode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public TRIPLEPANENode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public TRIPLEPANENode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public TRIPLEPANENode setReference(java.lang.String value)

    - #### setRendered

          public TRIPLEPANENode setRendered(java.lang.String value)

    - #### bindRendered

          public TRIPLEPANENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public TRIPLEPANENode setRendered(boolean value)

    - #### setRowalignmenty

          public TRIPLEPANENode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public TRIPLEPANENode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public TRIPLEPANENode setShadow(java.lang.String value)

    - #### bindShadow

          public TRIPLEPANENode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public TRIPLEPANENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public TRIPLEPANENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValue

          public TRIPLEPANENode setValue(java.lang.String value)

    - #### bindValue

          public TRIPLEPANENode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public TRIPLEPANENode setWidth(java.lang.String value)

    - #### bindWidth

          public TRIPLEPANENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public TRIPLEPANENode setWidth(int value)

    - #### setX

          public TRIPLEPANENode setX(java.lang.String value)

    - #### bindX

          public TRIPLEPANENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public TRIPLEPANENode setX(int value)

    - #### setY

          public TRIPLEPANENode setY(java.lang.String value)

    - #### bindY

          public TRIPLEPANENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public TRIPLEPANENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.